diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/dsdv/bindings/modulegen__gcc_ILP32.py ns-3.36/src/dsdv/bindings/modulegen__gcc_ILP32.py
--- ns-3.35/src/dsdv/bindings/modulegen__gcc_ILP32.py	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/dsdv/bindings/modulegen__gcc_ILP32.py	2022-04-30 18:23:57.818733500 -0700
@@ -6970,10 +6984,11 @@
                    'uint32_t', 
                    [param('uint8_t *', 'buffer'), param('uint32_t', 'maxSize')], 
                    is_const=True)
-    ## packet.h (module 'network'): void ns3::Packet::SetNixVector(ns3::Ptr<ns3::NixVector> nixVector) [member function]
+    ## packet.h (module 'network'): void ns3::Packet::SetNixVector(ns3::Ptr<ns3::NixVector> nixVector) const [member function]
     cls.add_method('SetNixVector', 
                    'void', 
-                   [param('ns3::Ptr< ns3::NixVector >', 'nixVector')])
+                   [param('ns3::Ptr< ns3::NixVector >', 'nixVector')], 
+                   is_const=True)
     ## packet.h (module 'network'): std::string ns3::Packet::ToString() const [member function]
     cls.add_method('ToString', 
                    'std::string', 
@@ -7890,11 +7905,11 @@
     cls.add_method('GetEventId', 
                    'ns3::EventId', 
                    [param('ns3::Ipv4Address', 'address')])
-    ## dsdv-rtable.h (module 'dsdv'): void ns3::dsdv::RoutingTable::GetListOfAllRoutes(std::map<ns3::Ipv4Address, ns3::dsdv::RoutingTableEntry, std::less<ns3::Ipv4Address>, std::allocator<std::pair<const ns3::Ipv4Address, ns3::dsdv::RoutingTableEntry> > > & allRoutes) [member function]
+    ## dsdv-rtable.h (module 'dsdv'): void ns3::dsdv::RoutingTable::GetListOfAllRoutes(std::map<ns3::Ipv4Address, ns3::dsdv::RoutingTableEntry, std::less<ns3::Ipv4Address>, std::allocator<std::pair<const ns3::Ipv4Address, ns3::dsdv::RoutingTableEntry>>> & allRoutes) [member function]
     cls.add_method('GetListOfAllRoutes', 
                    'void', 
                    [param('std::map< ns3::Ipv4Address, ns3::dsdv::RoutingTableEntry > &', 'allRoutes')])
-    ## dsdv-rtable.h (module 'dsdv'): void ns3::dsdv::RoutingTable::GetListOfDestinationWithNextHop(ns3::Ipv4Address nxtHp, std::map<ns3::Ipv4Address, ns3::dsdv::RoutingTableEntry, std::less<ns3::Ipv4Address>, std::allocator<std::pair<const ns3::Ipv4Address, ns3::dsdv::RoutingTableEntry> > > & dstList) [member function]
+    ## dsdv-rtable.h (module 'dsdv'): void ns3::dsdv::RoutingTable::GetListOfDestinationWithNextHop(ns3::Ipv4Address nxtHp, std::map<ns3::Ipv4Address, ns3::dsdv::RoutingTableEntry, std::less<ns3::Ipv4Address>, std::allocator<std::pair<const ns3::Ipv4Address, ns3::dsdv::RoutingTableEntry>>> & dstList) [member function]
     cls.add_method('GetListOfDestinationWithNextHop', 
                    'void', 
                    [param('ns3::Ipv4Address', 'nxtHp'), param('std::map< ns3::Ipv4Address, ns3::dsdv::RoutingTableEntry > &', 'dstList')])
@@ -7916,7 +7931,7 @@
                    'void', 
                    [param('ns3::Ptr< ns3::OutputStreamWrapper >', 'stream'), param('ns3::Time::Unit', 'unit', default_value='::ns3::Time::Unit::S')], 
                    is_const=True)
-    ## dsdv-rtable.h (module 'dsdv'): void ns3::dsdv::RoutingTable::Purge(std::map<ns3::Ipv4Address, ns3::dsdv::RoutingTableEntry, std::less<ns3::Ipv4Address>, std::allocator<std::pair<const ns3::Ipv4Address, ns3::dsdv::RoutingTableEntry> > > & removedAddresses) [member function]
+    ## dsdv-rtable.h (module 'dsdv'): void ns3::dsdv::RoutingTable::Purge(std::map<ns3::Ipv4Address, ns3::dsdv::RoutingTableEntry, std::less<ns3::Ipv4Address>, std::allocator<std::pair<const ns3::Ipv4Address, ns3::dsdv::RoutingTableEntry>>> & removedAddresses) [member function]
     cls.add_method('Purge', 
                    'void', 
                    [param('std::map< ns3::Ipv4Address, ns3::dsdv::RoutingTableEntry > &', 'removedAddresses')])
